-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	April 26, 2017
-- STORE PROCEDURE sp_DashFailPass

USE Kanban;
GO

IF (OBJECT_ID('sp_DashFailPass') IS NOT NULL)
  DROP PROCEDURE sp_DashFailPass
GO

CREATE PROCEDURE sp_DashFailPass
AS
BEGIN
	DECLARE	
	@paramDateProduction DATE = getdate()

	SELECT Count(production.lamp_id) AS TotalLamp, production.pass_result
	FROM (Profile INNER JOIN Station ON Profile.profile_id = Station.profile_id) 
	INNER JOIN production ON (Station.date_production = production.date_production) 
	AND (Station.station_id = production.station_id)
	WHERE production.date_production = @paramDateProduction
	GROUP BY production.pass_result

END

GO




	SELECT Count(production.lamp_id) AS TotalLamp, production.pass_result
	FROM (Profile INNER JOIN Station ON Profile.profile_id = Station.profile_id) 
	INNER JOIN production ON (Station.date_production = production.date_production) 
	AND (Station.station_id = production.station_id)
	WHERE production.date_production = '2017-04-27'
	GROUP BY production.pass_result