﻿/**
*@FILENAME		: RunnerCommands.cs
*@DESCRIPTION	: This class contains the SQL scrip commands for the runner
*@VERSION		: April 20, 2017
*@PROGRAMMER	: Brian Hinds and Laura Fadrique
*/

namespace KanbanStationRunner
{
    internal class RunnerCommands
    {
        private string RunnerTime = "";
        private string CreateRunner = "";

        /// <summary>
        /// This method contains the script to get runner configuration
        /// </summary>
        /// <returns></returns>
        public string LoadRunnerTime()
        {
            RunnerTime = "select runner_time, scale_flag from Config";

            return RunnerTime;
        }

        /// <summary>
        /// This method contains the script to execute the runner procedure
        /// </summary>
        /// <returns></returns>
        public string StartRunner()
        {
            CreateRunner = "sp_Runner";

            return CreateRunner;
        }
    }
}