﻿/**
*@FILENAME		: DashBoardCommands.cs
*@DESCRIPTION	: This class contains the sql commands.
*@VERSION		: April 27, 2017
*@PROGRAMMER	: Brian Hinds and Laura Fadrique
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KanbanStationsDashBorad
{
    class DashBoardCommads
    {

        private string PassFail = "";
        private string CurrentStation = "";


        /// <summary>
        ///  This method contain the sql command for the pass fail store procedure
        /// </summary>
        /// <returns></returns>
        public string GetPassFail()
        {
            PassFail = "sp_DashFailPass";
            return PassFail;
        }

        /// <summary>
        /// This method contain the sql command for the station data store procedure
        /// </summary>
        /// </summary>
        /// <returns></returns>
        public string GetStations()
        {
            CurrentStation = "sp_DashByStation";
            return CurrentStation;
        }

    }
}
