-- Store Procedure - Advanced SQL - Final project
-- Author:	Laura Fadrique
-- Date:	April 26, 2017
-- STORE PROCEDURE sp_DashByStation

USE Kanban;
GO

IF (OBJECT_ID('sp_DashByStation') IS NOT NULL)
  DROP PROCEDURE sp_DashByStation
GO

CREATE PROCEDURE sp_DashByStation
AS
BEGIN
	DECLARE	
	@paramDateProduction DATE = getdate()

	SELECT Count(production.lamp_id) AS TotalLamp, Station.station_id
	FROM Station INNER JOIN production ON Station.date_production = production.date_production 
	AND Station.station_id = production.station_id
	WHERE production.date_production = @paramDateProduction
	GROUP BY production.pass_result, Station.station_id  
	ORDER BY station_id

END

GO

	SELECT Count(production.lamp_id) AS TotalLamp, Station.station_id
	FROM Station INNER JOIN production ON Station.date_production = production.date_production 
	AND Station.station_id = production.station_id
	WHERE production.date_production = '2017-04-27'
	GROUP BY production.pass_result, Station.station_id  
	ORDER BY station_id